# This file contains helper function to seed database from
# a set of .json reports. Used by db:seed and db:seed:production-archive
# rake tasks

def db_seed(directory, timestamp=nil)
  if not File.directory?(directory) then
    raise Exception.new("#{directory} is not a valid directory")
  end
  Dir.glob(File.join(directory, '*.json')).each do | json_file |
    json = JSON.parse( IO.read( json_file)  )
    if timestamp != nil
      json['timestamp'] = timestamp.strftime("%Y-%m-%dT%H:%M:%S.%LZ")
    end
    puts "Loading #{json_file}..."
    BenchmarkBatch.from_json json
  end
end